%define name drakx-net
%define version 1.12.2
%define release %mkrel 1
%define drakxtools_ver 14.21

%define libname lib%{name}

%define gtk_files (connection_manager|drakroam|ifw|monitor|netcenter|drakconnect/edit|drakconnect/global).pm

Summary: %_vendor network tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: System/Configuration/Networking
Url: http://www.mageia.org/
BuildArch: noarch
BuildRequires: intltool
Requires: drakxtools >= %{drakxtools_ver}
Requires: %{name}-text = %{version}
Requires: %{libname} = %{version}
Requires: netprofile >= 0.20
Requires: perl-Gtk2 >= 1.154
Requires: usermode-consoleonly >= 1.92-4
Suggests: wireless-tools
Suggests: rfkill
Suggests: comgt
Suggests: net_monitor
Suggests: %{name}-applet

%description
This package contains the %_vendor network tools.

net_applet: applet to check network connection

%package text
Summary: %_vendor network text tools
Group: System/Configuration/Networking
Requires: drakxtools-curses >= %{drakxtools_ver}
Requires: %{libname} = %{version}

%description text
This package contains the %_vendor network tools that can be used in
text mode.

drakconnect: LAN/Internet connection configuration. It handles
ethernet, ISDN, DSL, cable, modem.

drakfirewall: simple firewall configurator

drakgw: internet connection sharing

drakproxy: proxies configuration

drakvpn: VPN configuration (openvpn, vpnc)

%package applet
Summary: %_vendor network applet
Group: System/Configuration/Networking
Requires: %{name} = %{version}-%{release}

%description applet
This package contains the %_vendor network applet.

%package -n %{libname}
Summary: %_vendor network tools library
Group: System/Configuration/Networking
Requires: drakxtools-backend >= %{drakxtools_ver}
# require perl-Net-Telnet for OpenVPN connections (#36126):
Requires: perl-Net-Telnet
# Require crda, iw and wireless-regdb for CRDA domain settings (#47324)
Requires: crda
Requires: iw
Requires: wireless-regdb

%description -n	%{libname}
This package contains the %_vendor network tools library.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std

(cd %{buildroot}; find usr/lib/libDrakX/network/ -type f -name '*.pm') | perl -ne 'm!/%{gtk_files}$! ? print STDERR "/$_" : print "/$_"' > %{name}-nogtk.list 2> %{name}-gtk.list

%find_lang %{name}
cat %{name}-nogtk.list %{name}.lang > %{name}.list

# consolehelper config
# ask for user password
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/draknetcenter

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

ln -sf %{_sysconfdir}/pam.d/%_real_vendor-console-auth %{buildroot}%{_sysconfdir}/pam.d/draknetcenter

cat > %{buildroot}%{_sysconfdir}/security/console.apps/draknetcenter <<EOF
USER=<user>
PROGRAM=/usr/sbin/draknetcenter
FALLBACK=false
SESSION=true
EOF

# consolehelper config
# ask for root password
for pak in drakconnect drakgw drakroam draknetprofile drakproxy drakvpn drakhosts; do
        ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        ln -sf %{_sysconfdir}/pam.d/%_real_vendor-simple-auth %{buildroot}%{_sysconfdir}/pam.d/$pak
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=/usr/sbin/$pak
FALLBACK=false
SESSION=true
EOF
done

%check
while read f; do
      grep Gtk2 %{buildroot}$f && exit 1
done < %{name}-nogtk.list
exit 0

%clean
rm -rf %{buildroot}

%files -f %{name}-gtk.list
%doc NEWS
%{_bindir}/drakroam
%{_bindir}/draknetcenter
%{_bindir}/draknetprofile
%{_bindir}/drakhosts
%{_sbindir}/drakhosts
%{_sbindir}/drakids
%{_sbindir}/draknetcenter
%{_sbindir}/draknetprofile
%{_sbindir}/draknfs
%{_sbindir}/drakroam
%{_sbindir}/draksambashare
%config(noreplace) %{_sysconfdir}/pam.d/drakroam
%config(noreplace) %{_sysconfdir}/pam.d/draknetcenter
%config(noreplace) %{_sysconfdir}/pam.d/draknetprofile
%config(noreplace) %{_sysconfdir}/pam.d/drakhosts
%config(noreplace) %{_sysconfdir}/security/console.apps/drakroam
%config(noreplace) %{_sysconfdir}/security/console.apps/draknetprofile
%config(noreplace) %{_sysconfdir}/security/console.apps/draknetcenter
%config(noreplace) %{_sysconfdir}/security/console.apps/drakhosts
%{_datadir}/applications/draknetcenter.desktop
%{_prefix}/lib/libDrakX/icons/*.png
%{_datadir}/libDrakX/pixmaps/*.png

%files text
%config(noreplace) %{_sysconfdir}/pam.d/drakconnect
%config(noreplace) %{_sysconfdir}/pam.d/drakgw
%config(noreplace) %{_sysconfdir}/pam.d/drakproxy
%config(noreplace) %{_sysconfdir}/pam.d/drakvpn
%config(noreplace) %{_sysconfdir}/security/console.apps/drakconnect
%config(noreplace) %{_sysconfdir}/security/console.apps/drakgw
%config(noreplace) %{_sysconfdir}/security/console.apps/drakproxy
%config(noreplace) %{_sysconfdir}/security/console.apps/drakvpn
%{_bindir}/drakconnect
%{_bindir}/drakgw
%{_bindir}/drakvpn
%{_bindir}/drakproxy
%{_sbindir}/drakconnect
%{_sbindir}/drakfirewall
%{_sbindir}/drakgw
%{_sbindir}/drakinvictus
%{_sbindir}/drakproxy
%{_sbindir}/drakvpn

%files -n %{libname} -f %{name}.list
%dir %{_prefix}/lib/libDrakX/network/
%dir %{_prefix}/lib/libDrakX/network/connection
%dir %{_prefix}/lib/libDrakX/network/drakconnect/
%dir %{_prefix}/lib/libDrakX/network/vpn

%files applet
%{_bindir}/net_applet
%{_datadir}/applications/net_applet.desktop
%{_sysconfdir}/xdg/autostart/net_applet.desktop


%changelog

* Thu Sep 06 2012 tv <tv> 1.12.2-1.mga2
+ Revision: 288708
- remove invalid character in source code that makes drakx-net tools crash
- fix spacing
- drakinvictus: fix crashing due to missing icon (mga#5223)
- draknetcenter: fix crash when net_applet doesn't run (mga#6040)
- drakroam: fix a crash (mga#6847)
- install rtlwifi-firmware for r8712u driver (#6064)
- wait for network to show up the same way as in the installer
  (Derek Jennings, mga#5830)
- fix connectivity test during install (and possibly standalone) by
  calling res_init before hostname resolution (#5772)

  + tmb <tmb>
    - fix connectivity test during install (and possibly standalone) by
      calling res_init before hostname resolution (#5772)

* Thu May 10 2012 tv <tv> 1.11-1.mga2
+ Revision: 235154
- fix testing network connectivy test after resolv.conf changes
  (Derek Jennings, mga#5772)

* Mon Apr 30 2012 blino <blino> 1.10-1.mga2
+ Revision: 234323
- 1.10
- install rtlwifi-firmware for rtl8192 drivers
- remove rtl8187se thirdparty check, it has been in mainline for a
  long time already
- another fix for iwlagn firmware installation since reported module
  name is iwlwifi (#5549)

* Sat Apr 28 2012 tmb <tmb> 1.9-1.mga2
+ Revision: 233970
- further fix iwlagn firmware installation (blino)

* Wed Apr 25 2012 tv <tv> 1.8-1.mga2
+ Revision: 233264
- ndiswrapper: do not try to access the full chroot path when running
  in chroot (mga#56052)
- fix iwlagn firmware package installation (#5549) and make
  iwl3945/4965 check faster by fixing test file
- install ralink-firmware for rt61/73/2860/2870/3090 drivers

* Mon Apr 16 2012 zezinho <zezinho> 1.7-1.mga2
+ Revision: 231098
- fix b43 firmware path (#5419)

* Mon Apr 16 2012 blino <blino> 1.6-3.mga2
+ Revision: 231044
- suggest rfkill

* Mon Apr 16 2012 blino <blino> 1.6-2.mga2
+ Revision: 231011
- suggest wireless-tools and comgt (since they have been removed from initscripts)

* Thu Apr 12 2012 colin <colin> 1.6-1.mga2
+ Revision: 230339
- ensure /etc/hostname has a newline as per upstream specs (#4672)

  + tv <tv>
    - drop very old conflicts

* Thu Mar 22 2012 tv <tv> 1.5-1.mga2
+ Revision: 225761
- fix CRDA never set to 'US' when country not in CRDA domains
  (might help #1015 & the like)
- fix bogus messages about 3rd party drivers
- drakfirewall:
  o fix listing NFS ports
  o fix cleaning old rules
- nfs: add .conf suffix to lockd.drakx file in /etc/modprobe.d

* Mon Mar 12 2012 tv <tv> 1.4-1.mga2
+ Revision: 223111
- adapt to drakxtools-13.92+ API change
  (reduces net_applet resident memory)
- drakfirewall: list SSL flavor of POP3/IMAP/SMTP ports

* Wed Jan 04 2012 colin <colin> 1.3-1.mga2
+ Revision: 190394
- 1.3: Ensure /etc/hostname is updated when hostname changes (mga#2983)

  + tmb <tmb>
    - drop buildroot and defattr

* Wed Dec 14 2011 blino <blino> 1.2-1.mga2
+ Revision: 181656
- 1.2
- wireless scan: use programs from prefix, not installer root (#1452)

* Sat Dec 10 2011 blino <blino> 1.1-1.mga2
+ Revision: 179906
- 1.1
- drakfirewall: use . instead of source in /etc/ifw/rules
- shorewall:
  o do not write end line twice in config files if there is no
    "LAST LINE" marker
  o do not warn about incompatible SECTION commands in rules file
    (source does not work in dash)
- net_applet: use better libnotify app name
- fix squid configuration when sharing internet connection (#1353)

* Tue Nov 22 2011 blino <blino> 1.0-1.mga2
+ Revision: 170708
- 1.0
- fix parsing (and thus writing back) ACCOUNTING and NM_CONTROLLED in ifcfg
  (thanks Mandriva for the nice bug BTW :)
- make sure all strings ended in translation catalogs (#3371)

* Tue Oct 18 2011 zezinho <zezinho> 0.99-1.mga2
+ Revision: 156238
- Use b43-openfwwf for b43 module instead of asking for a windows driver

  + tv <tv>
    - make network connectivity check work with kernel-2.6.39+ (#1266)

* Thu May 19 2011 ennael <ennael> 0.97-1.mga1
+ Revision: 99812
- update encryption icons (#1094)

* Thu May 19 2011 ennael <ennael> 0.96-1.mga1
+ Revision: 99695
- redraw wifi icons

* Wed May 18 2011 ennael <ennael> 0.95-1.mga1
+ Revision: 99682
- update icons for wifi status

* Sat May 14 2011 ennael <ennael> 0.94-1.mga1
+ Revision: 98842
- update translations

* Wed Feb 23 2011 dmorgan <dmorgan> 0.93-3.mga1
+ Revision: 57445
- Revert previous commit, tks to ahmad

* Wed Feb 23 2011 dmorgan <dmorgan> 0.93-2.mga1
+ Revision: 57438
- Requires net_monitor for the applet

* Wed Feb 23 2011 dmorgan <dmorgan> 0.93-1.mga1
+ Revision: 57163
- 0.93:
- Make draknetcenter.desktop XDG compliant
- Move autostart desktop files to /etc/xdg/autostart
- Remove xinit.d script: non-xdg-autostart compliant desktops should use the
  xdg-compliance-autostart package if they want to run drakx-net and others

* Thu Feb 03 2011 dmorgan <dmorgan> 0.92-1.mga1
+ Revision: 46735
- imported package drakx-net

